Package net.md_5.bungee.api.plugin

# Class PluginDescription

java.lang.Object
net.md_5.bungee.api.plugin.PluginDescription

public class PluginDescription extends Object
POJO representing the plugin.yml file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluginDescription()`
  `PluginDescription(String name, String main, String version, String author, Set<String> depends, Set<String> softDepends, File file, String description, List<String> libraries)`
  Creates a new `PluginDescription` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getAuthor()`
  Plugin author.
  `Set<String>`
  `getDepends()`
  Plugin hard dependencies.
  `String`
  `getDescription()`
  Optional description.
  `File`
  `getFile()`
  File we were loaded from.
  `List<String>`
  `getLibraries()`
  Optional libraries.
  `String`
  `getMain()`
  Plugin main class.
  `String`
  `getName()`
  Friendly name of the plugin.
  `Set<String>`
  `getSoftDepends()`
  Plugin soft dependencies.
  `String`
  `getVersion()`
  Plugin version.
  `int`
  `hashCode()`
  `void`
  `setAuthor(String author)`
  Plugin author.
  `void`
  `setDepends(Set<String> depends)`
  Plugin hard dependencies.
  `void`
  `setDescription(String description)`
  Optional description.
  `void`
  `setFile(File file)`
  File we were loaded from.
  `void`
  `setLibraries(List<String> libraries)`
  Optional libraries.
  `void`
  `setMain(String main)`
  Plugin main class.
  `void`
  `setName(String name)`
  Friendly name of the plugin.
  `void`
  `setSoftDepends(Set<String> softDepends)`
  Plugin soft dependencies.
  `void`
  `setVersion(String version)`
  Plugin version.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PluginDescription

    public PluginDescription()

  - ### PluginDescription

    public PluginDescription(String name, String main, String version, String author, Set<String> depends, Set<String> softDepends, File file, String description, List<String> libraries)
    Creates a new `PluginDescription` instance.
    Parameters:
      `name` - Friendly name of the plugin.
      `main` - Plugin main class. Needs to extend `Plugin`.
      `version` - Plugin version.
      `author` - Plugin author.
      `depends` - Plugin hard dependencies.
      `softDepends` - Plugin soft dependencies.
      `file` - File we were loaded from.
      `description` - Optional description.
      `libraries` - Optional libraries.

- ## Method Details

  - ### getName

    public String getName()
    Friendly name of the plugin.

  - ### getMain

    public String getMain()
    Plugin main class. Needs to extend `Plugin`.

  - ### getVersion

    public String getVersion()
    Plugin version.

  - ### getAuthor

    public String getAuthor()
    Plugin author.

  - ### getDepends

    public Set<String> getDepends()
    Plugin hard dependencies.

  - ### getSoftDepends

    public Set<String> getSoftDepends()
    Plugin soft dependencies.

  - ### getFile

    public File getFile()
    File we were loaded from.

  - ### getDescription

    public String getDescription()
    Optional description.

  - ### getLibraries

    public List<String> getLibraries()
    Optional libraries.

  - ### setName

    public void setName(String name)
    Friendly name of the plugin.

  - ### setMain

    public void setMain(String main)
    Plugin main class. Needs to extend `Plugin`.

  - ### setVersion

    public void setVersion(String version)
    Plugin version.

  - ### setAuthor

    public void setAuthor(String author)
    Plugin author.

  - ### setDepends

    public void setDepends(Set<String> depends)
    Plugin hard dependencies.

  - ### setSoftDepends

    public void setSoftDepends(Set<String> softDepends)
    Plugin soft dependencies.

  - ### setFile

    public void setFile(File file)
    File we were loaded from.

  - ### setDescription

    public void setDescription(String description)
    Optional description.

  - ### setLibraries

    public void setLibraries(List<String> libraries)
    Optional libraries.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`